#include "colors.inc" 
#include "shapes.inc"
#include "golds.inc"
#include "woods.inc"
#include "stones.inc"

background { color Cyan }

camera {
	location <0, 4, -15>
	look_at  <0, 0.7, -5>
}

light_source { <10, 10, 6> color White}

// Pared trasera
box {
	<-5, 0, 0.0>,  // Near lower left corner
	< 5, 5, 0.1>   // Far upper right corner
	texture {
		T_Stone25   // Pre-defined from stones.inc
		scale 4     // Scale by the same amount in all
	  	            // directions
	}
}

// Piso
box {
	<-5, -0.1,  0.0>,  // Near lower left corner
	< 5,  0.0,-10.0>   // Far upper right corner
	texture {
		P_WoodGrain5B	
		scale 4     // Scale by the same amount in all
	  	            // directions
	}
}

// Una columna
box {
	<-5.0, 0.0, -7.0>,  // Near lower left corner
	<-4.5, 5.0, -8.0>   // Far upper right corner
	texture {
		pigment { color Yellow }
	}
}

// La columna central
box {
	<-0.7, 0.0, -4.3>,  // Near lower left corner
	< 0.7, 0.7, -5.7>   // Far upper right corner
	texture {
		pigment { color Gray }
	}
}

union{
	cylinder {
		<-1, 0.85, -4>,     // Center of one end
		< 1, 0.85, -6>,     // Center of other end
		0.15            // Radius
		// texture { T_Silver_1A scale 4 }
		texture { T_Gold_5A scale 4 }
	}
	cylinder {
		< 1, 0.85, -4>,     // Center of one end
		<-1, 0.85, -6>,     // Center of other end
		0.15            // Radius
		texture { T_Gold_5A scale 4 }
	}
}

